import { ECharts } from 'echarts';
import { CommonService } from './common.service';
export declare class ChartResizeService {
    private commonService;
    constructor(commonService: CommonService);
    style: any;
    autoResizeAdapt(echartInstance: ECharts, option: any): void;
    autoPieResizeAdapt(echartInstance: ECharts, option: any): void;
    autoMapResizeAdapt(echartInstance: ECharts, option: any): void;
    autoResizeAdaptGauge(echartInstance: ECharts, option: any): void;
    autoResizeAdaptPieWithRichLabel(echartInstance: ECharts, options: any): void;
    openSmallMode(option: any, smallMode: boolean, legendPosition: string): void;
    openPieSmallMode(option: any, smallMode: boolean, legendPosition: string): void;
    openRosePieSmallMode(option: any, smallMode: boolean, legendPosition: string): void;
    openPyramidSmallMode(option: any, smallMode: boolean): void;
    configSplitLine(show: boolean, chartOption: any, axisType?: string): void;
}
